Audit

Get a change set

GET
/audit/changes/{change_set_id}

Get the sanitized request and snapshots of a tenant change. Requires an admin.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

change_set_id*string

Resource identifier: change_set_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/audit/changes/123e4567-e89b-42d3-a456-426614174000"
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "operation_key": "spaces.get",  "actor_id": "123e4567-e89b-42d3-a456-426614174000",  "actor": {    "id": "123e4567-e89b-42d3-a456-426614174000",    "email": "ada@example.com",    "name": "Customer documents",    "image_url": "example"  },  "actor_type": "api",  "credential_id": "123e4567-e89b-42d3-a456-426614174000",  "origin_kind": "example",  "origin_id": "example",  "space_id": "123e4567-e89b-42d3-a456-426614174000",  "entity_type": "space",  "entity_id": "123e4567-e89b-42d3-a456-426614174000",  "request_data": {},  "before_snapshot": {},  "after_snapshot": {},  "result_data": {},  "created_at": "2026-09-04T12:00:00Z"}